#ifndef	_TRANSCODE_H_
#define _TRANSCODE_H_
#include <stdio.h>
#include "_string.h"

#ifdef __cplusplus
extern "C" {
#endif



#ifdef GB_ENABLE
int gb_encode(char *str_in,char *str_out);
int gb_decode(char *str_in,char *str_out);
#endif

int get_gb_token(uint64_t token);
unsigned char *device_encrypt(unsigned char *mac, int token, unsigned char *source,int len,int *pCipher_len);
unsigned char *device_decrypt(unsigned char *mac, int token, unsigned char *source,int len);
void wch_base64_encode(unsigned char * in, char * out, int size);
int wch_base64_decode(char * in, unsigned char * out);
void production_lic_set(unsigned char *mac, unsigned char *destin, int offset);
bool check_lic_stat(unsigned char *mac, unsigned char *lic, int offset);
	
#ifdef __cplusplus
}
#endif
#endif // _BLETRANSCODE_H_
